Saltar para o conteúdo principal
POST
/
openai
/
embeddings
Creates an embedding vector representing the input text.
curl --request POST \
  --url https://api.acedata.cloud/openai/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "text-embedding-3-small",
  "input": "<string>",
  "encoding_format": "float",
  "dimensions": 2
}
'
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "index": 0,
      "embedding": [
        0.0023064255,
        -0.009327292,
        0.015271,
        0.001234
      ]
    }
  ],
  "model": "text-embedding-3-small",
  "usage": {
    "prompt_tokens": 9,
    "total_tokens": 9
  },
  "created": 1714500000
}

Autorizações

Authorization
string
header
obrigatório

Cabeçalhos

accept
enum<string>

Specifies the format of the response from the server.

Opções disponíveis:
application/json

Corpo

application/json
model
enum<string>
obrigatório

ID of the embedding model to use (e.g., text-embedding-3-small, text-embedding-3-large).

Opções disponíveis:
text-embedding-3-small,
text-embedding-3-large,
text-embedding-ada-002
input
string
obrigatório

Input to embed: a single string, an array of strings, or token arrays.

encoding_format
enum<string>
padrão:float

Format of the returned embeddings.

Opções disponíveis:
float,
base64
dimensions
integer

Optional output embedding size when supported by the model.

Intervalo necessário: x >= 1

Resposta

Embeddings created successfully.

object
enum<string>
obrigatório

Type of the returned object.

Opções disponíveis:
list
data
object[]
obrigatório
model
string
obrigatório

Model used to generate the embeddings.

usage
object
obrigatório
created
integer
obrigatório

Unix timestamp (seconds) when the embeddings were created.